[Triple] Define OS Check for Haiku
ClosedPublic

Authored by return on Aug 16 2017, 7:11 PM.

Details

Summary

This adds the OS check for the Haiku operating system, as it was missing in the Triple class. Tests for x86_64-unknown-haiku and i586-pc-haiku were also added.

These patches only affect Haiku and are completely harmless for other platforms.

Diff Detail

Repository
rL LLVM
return created this revision.Aug 16 2017, 7:11 PM
return edited the summary of this revision. (Show Details)Aug 16 2017, 7:27 PM
return added reviewers: axw, davide.
rengolin accepted this revision.Aug 17 2017, 10:57 AM

Curiosity: Do you have a use for this in-tree or just off-tree?

Regardless, it is pretty harmless and intuitive. LGTM. Thanks!

This revision is now accepted and ready to land.Aug 17 2017, 10:57 AM

This patch is needed in-tree for upstreaming my Swift port for Haiku, which is part of my Google Summer of Code project.

The swift-llvm fork regularly pulls changes from LLVM master into the upstream-with-swift branch, so adding this patch here should make sense.

I also don't have commit access, so could you commit this patch?

rengolin closed this revision.Aug 18 2017, 3:37 AM

This patch is needed in-tree for upstreaming my Swift port for Haiku, which is part of my Google Summer of Code project.

The swift-llvm fork regularly pulls changes from LLVM master into the upstream-with-swift branch, so adding this patch here should make sense.

Right, if this is used in the Swift's repo, that's still out-of-tree from LLVM's point of view.

I also don't have commit access, so could you commit this patch?

Done. r311153.